from django.core.validators import MinValueValidator
from django.db import models

#Questboard: a place where Quests can be posted. 
class Questboard(models.Model):
    name = models.CharField(max_length = 50)
    description = models.CharField(max_length = 300)
    required_stars = models.PositiveIntegerField(validators=[MinValueValidator(0)])
    
#Quest: Students can sign up for quests. Each one is worth a certain number of stars. 
class Quest(models.Model):
    board_id = models.PositiveIntegerField(default = 0, validators=[MinValueValidator(0)])
    name = models.CharField(max_length = 60, default = '')
    description = models.CharField(max_length = 300, default = '')
    stars = models.PositiveIntegerField(default = 0, validators=[MinValueValidator(0)])
    for_everyone = models.BooleanField(default = False)
    student1 = models.CharField(max_length = 60, default = '', blank = True)
    student2 = models.CharField(max_length = 60, default = '', blank = True)
    student3 = models.CharField(max_length = 60, default = '', blank = True)
    
    
 

